/*
 * snmp_trap_pdu2.h
 *
 *  Created on: 30.10.2017
 *      Author: balbekova
 */

#ifndef SNMP_TRAP_PDU2_H_
#define SNMP_TRAP_PDU2_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "lwip/err.h"
#include "lwip/apps/snmp_core.h"

void
snmp_trap_pduv2_dst_enable(u8_t dst_idx, u8_t enable);

void
snmp_trap_pduv2_dst_ip_set(u8_t dst_idx, const ip_addr_t *dst);

err_t
snmp_send_trap_pduv2(struct snmp_varbind *varbinds);


#endif /* SNMP_TRAP_PDU2_H_ */
